| Edinburgh Speech Tools Library |
--- | --- | ---
Prev | Chapter 3. Executable Programs | Next

# ols Train linear regression model

## Synopsis

ols [options] [-desc `ifile`] [-data `ifile`] [-test `ifile`] [-robust ] [-stepwise ] [-swlimit `float` " {0.0}"] [-quiet ] [-output `ofile`] [-otype `string`]

## OPTIONS

> -desc | `ifile` Field description file
> -data | `ifile` Datafile, one vector per line
> -test | `ifile` Datafile, for testing
> -robust | Robust, may take longer
> -stepwise | Order the features by contribution, implies robust.
> -swlimit | `float` " {0.0}" Percentage necessary improvement for stepwise
> -quiet | No summary
> -output | `ofile` Output file for coefficients
> -otype | `string` Output types: festival or raw

Prev | Home | Next
wagon CART building program | Up | ols_test Test linear regression model